# CHANGELOG


## v0.2.0-rc.2 (2025-05-04)

### Chores

- Fix release configuration
  ([`2561087`](https://github.com/SarthakMishra/codemap/commit/256108740ca607ccab698b52d15894a0dd19e516))

- Remove CHANGELOG and reset version to 0.0.0
  ([`6b7e287`](https://github.com/SarthakMishra/codemap/commit/6b7e287140738edfe3b4183220a744151b79f441))

- Remove pymilvus and add tenacity to dependencies
  ([`d241719`](https://github.com/SarthakMishra/codemap/commit/d2417197afd65b78b8faa71f30b8559e046c9089))

- Removed unused deps
  ([`e716f3a`](https://github.com/SarthakMishra/codemap/commit/e716f3aa9f2038363c82ff3632ce9ba4829e16a3))

- Reset version to 0.0.0 and update changelog configuration
  ([`e76c20f`](https://github.com/SarthakMishra/codemap/commit/e76c20f664aca9f04553ff18622037032f2539b7))

- Revert to single-step release and enable debug logging
  ([`5972bb2`](https://github.com/SarthakMishra/codemap/commit/5972bb22f236faadb1a05e1a048888973686d2a1))

- Update deps
  ([`a2ca19a`](https://github.com/SarthakMishra/codemap/commit/a2ca19a65949fa6fcb877205936a1f068a5c9080))

- Update gitignore
  ([`0c31f2d`](https://github.com/SarthakMishra/codemap/commit/0c31f2d70a9e19f21af97d32009ffac76d5273e6))

- **config**: Update project configuration
  ([`7db018d`](https://github.com/SarthakMishra/codemap/commit/7db018d58961f3c9b786c7dc0d8a425456aa25d6))

- **dependencies**: Add kuzu package and update metadata
  ([`3ce2b11`](https://github.com/SarthakMishra/codemap/commit/3ce2b1182ac4a906597ec48a0fba164bd9185316))

- **mkdocs**: Update mkdocs configuration
  ([`d96469b`](https://github.com/SarthakMishra/codemap/commit/d96469b84be511a3f656c9bda1af9ecf1160241c))

Updated mkdocs.yml to remove unnecessary configuration and add support for mermaid diagrams. Removed
  unused markdown extensions and updated the theme configuration.

### Continuous Integration

- Deploy docs action
  ([`52755d9`](https://github.com/SarthakMishra/codemap/commit/52755d9f6c6670e2123c3f2411d4d935184ff0a9))

### Documentation

- **contributing**: Update contributing guidelines and code of conduct references
  ([`5bbacbf`](https://github.com/SarthakMishra/codemap/commit/5bbacbf2e0ccae5f9c308af151b394c1b3afe4eb))

Updated various documentation files to reflect changes in the contributing process and code of
  conduct. This includes changes to the development setup, guidelines, and references to other
  documentation files.

- **index**: Update documentation links and content
  ([`23fdc96`](https://github.com/SarthakMishra/codemap/commit/23fdc9602f73da9eb78916a297d2a9d1a93f6f8c))

Updated the index page to reflect changes in documentation structure and added new links to usage
  and contributing guides. Additionally, modified the installation page to use the new warning and
  tip formats.

- **usage**: Update documentation for commit and generate commands
  ([`bc2d1a7`](https://github.com/SarthakMishra/codemap/commit/bc2d1a74318968b480efa09aea5907c25e17038c))

Updated documentation for commit and generate commands to reflect changes in usage and
  configuration. Added details about the custom distilled model used for semantic analysis.

- **usage**: Update pr documentation
  ([`adf7b67`](https://github.com/SarthakMishra/codemap/commit/adf7b676433c6fff16dd403c963b8934cc95d0bb))

Added documentation for the 'cm pr create' and 'cm pr update' commands, including descriptions of
  arguments and options. Improved formatting and readability of the documentation.

### Features

- **codemap**: Enable entity graph inclusion
  ([`80f160c`](https://github.com/SarthakMishra/codemap/commit/80f160cfe5c6709f57c1a506b57e6360de975688))

Updated the codemap configuration to include entity relationship graphs in the output. This change
  enhances the documentation generated by the codemap tool, providing a more comprehensive
  understanding of the code structure.

- **deps**: Add multiple new dependencies for documentation and functionality
  ([`10269ab`](https://github.com/SarthakMishra/codemap/commit/10269abf0d75c4eaf1a849b55d4316a3f545f596))

This commit introduces several new packages including babel, backrefs, ghp-import, markdown,
  mergedeep, mkdocs, mkdocs-material, paginate, pymdown-extensions, and pyyaml-env-tag to enhance
  documentation capabilities and project functionality.

- **deps**: Add multiple new dependencies for documentation and functionality
  ([`3ee5daa`](https://github.com/SarthakMishra/codemap/commit/3ee5daa625edf70006980e934c10a9cc730dbf4f))

This commit introduces several new packages including babel, backrefs, ghp-import, markdown,
  mergedeep, mkdocs, mkdocs-material, paginate, pymdown-extensions, and pyyaml-env-tag to enhance
  documentation capabilities and project functionality.

- **docs**: Add comprehensive documentation for CodeMap features and usage
  ([`c2e0e4f`](https://github.com/SarthakMishra/codemap/commit/c2e0e4f22cc39b04ea38784fd63d451a2767fe27))

- **docs**: Add mkdocs-material dependency
  ([`d8e6c49`](https://github.com/SarthakMishra/codemap/commit/d8e6c49c96602a169a50cd3c0e7fad21b92e4d7f))

This commit adds mkdocs-material as a dependency for documentation generation.

- **docs**: Add mkdocs-material dependency
  ([`d80fef4`](https://github.com/SarthakMishra/codemap/commit/d80fef47885a6a77ad78118a70f1e22664be1342))

This commit adds the mkdocs-material dependency to the project.

- **docs**: Enhance mkdocs configuration with additional metadata and social links
  ([`5c45af1`](https://github.com/SarthakMishra/codemap/commit/5c45af195a429fed54b375afdd2e05019c6ba820))

This commit adds extra configuration to mkdocs, including status labels for new and deprecated
  items, as well as social media links for GitHub, Python, LinkedIn, and Twitter.


## v0.2.0-rc.1 (2025-05-04)

### Testing

- **database**: Skip database-dependent tests in ci environment
  ([`50ed567`](https://github.com/SarthakMishra/codemap/commit/50ed567554693bc4a5b778a4a375b7588052ab86))

Added environment variable SKIP_DB_TESTS to skip database-dependent tests in CI environments without
  PostgreSQL. Updated test_client.py and test_models.py to use the skip_db_tests marker from
  conftest.py.


## v0.1.0 (2025-05-02)


## v0.1.0-rc.1 (2025-05-02)

- Initial Release
